Subject: Re: bug#17567: [External] : Re: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Sep 2021 22:53:33 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>
> Date: Sat, 25 Sep 2021 19:44:50 +0000
> 
> > > As I said, if the updated doc string is posted
> > > in the bug-report thread then I'll be glad to
> > > check it (whether with a web browser or a mail
> > > client).
> > 
> > That's not how Emacs development works.  People who want to track the
> > development or participate in it are expected to access the Git
> > repository.
> 
> If you'd like me to check the fix (Stefan's request)
> then please consider putting the new text in the bug
> thread.  Otherwise, you'll just have to do without
> my review and feedback, I guess.  Not a biggee (the
> bug was anyway closed, without such a review).

This response makes no sense to me.  You don't mind writing the
longest email messages ever, but refuse to type a 50-character URL
into your browser?  Why?

But whatever.

> If you refuse to put the updated doc string in a bug
> thread that asks only for a doc-string fix, then
> you're not helping users, or the project, as much as
> you could.  Copy...paste...send.  Simple.

No, it's not simple.  There's no place to copy/paste from, because
installing a change usually doesn't involve looking at the diffs, or
even producing them.  We edit the sources and commit them, that's it.

> (I'd even consider that common courtesy, but you're
> by no means obliged to see courtesy the same way,
> of course.)

Yes of course: everyone has to be courteous to you, but you don't feel
you need to be courteous to others.